package cpcns.danganzhengli.mdb_wenjian.utils;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.List;
import java.util.zip.ZipEntry;
import java.util.zip.ZipFile;

public class ZipUtils {
  public static String unZipFiles(String zipPath, String descDir) throws IOException {
    return unZipFiles(new File(zipPath), descDir);
  }
  
  public static String unZipFiles(File zipFile, String descDir) throws IOException {
    long ff = System.currentTimeMillis();
    System.out.println("开始时间=" + ff);
    List<String> list = new ArrayList<>();
    File pathFile = new File(descDir);
    if (!pathFile.exists())
      pathFile.mkdirs(); 
    ZipFile zip = new ZipFile(zipFile, Charset.forName("GBK"));
    for (Enumeration<? extends ZipEntry> entries = zip.entries(); entries.hasMoreElements(); ) {
      ZipEntry entry = entries.nextElement();
      String zipEntryName = entry.getName();
      InputStream in = zip.getInputStream(entry);
      String outPath = (String.valueOf(descDir) + zipEntryName).replaceAll("\\*", "/");
      File file = new File(outPath.substring(0, outPath.lastIndexOf('/')));
      if (!file.exists())
        file.mkdirs(); 
      if ((new File(outPath)).isDirectory())
        continue; 
      list.add(outPath);
      OutputStream out = new FileOutputStream(outPath);
      byte[] buf1 = new byte[1024];
      int len;
      while ((len = in.read(buf1)) > 0)
        out.write(buf1, 0, len); 
      in.close();
      out.close();
    } 
    zip.close();
    System.out.println("******************解压完毕********************");
    System.out.println("结束时间=" + System.currentTimeMillis());
    System.out.println("所消耗时间=" + (System.currentTimeMillis() - ff));
    return ((String)list.get(0)).toString();
  }
  
  public static void main(String[] args) throws IOException {
    File zipFile = new File("d:/资料.zip");
    String path = "d:/zipfile/";
    unZipFiles(zipFile, path);
  }
}
